import '../test_utils/confirm_address_mock.ts';

import { renderHook } from '@testing-library/react-hooks';

import { useConfirmAddress } from '../../src/hooks/useConfirmAddress';
import { AddressConfirmOptions, confirmAddress } from '@mapbox/search-js-web';

describe('useConfirmAddress', () => {
  it('works with options', () => {
    const optionsObj: AddressConfirmOptions = { accessToken: 'abc-123' };
    const { result } = renderHook(() => useConfirmAddress(optionsObj));
    /* eslint-disable-next-line */
    // @ts-ignore
    result.current.formRef.current = document.createElement('form');
    result.current.showConfirm();
    expect(confirmAddress).toBeCalledWith(expect.any(HTMLFormElement), {
      accessToken: 'abc-123'
    });
  });

  it('works without options', () => {
    const { result } = renderHook(() => useConfirmAddress());
    /* eslint-disable-next-line */
    // @ts-ignore
    result.current.formRef.current = document.createElement('form');
    result.current.showConfirm();
    expect(confirmAddress).toBeCalledWith(expect.any(HTMLFormElement), {});
  });
});
